## ocaml-ansi-terminal 0.8.5

=== Makefile ===
PKGVERSION = $(shell git describe --always --dirty)

build:
	dune build @install

all: build
	dune build @runtest --force

test: all
	_build/default/tests/test.exe


clean:
	dune clean

.PHONY: all build test clean

## ocaml-ansi-terminal 0.8.3

=== debian/changelog ===
ocaml-ansi-terminal (0.8.3-2build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:20:44 +0100

ocaml-ansi-terminal (0.8.3-2) unstable; urgency=medium

  * Fix bytecode-only architectures (Closes: #1000713).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 27 Nov 2021 22:42:35 +0100

ocaml-ansi-terminal (0.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 27 Nov 2021 09:48:10 +0100

ocaml-ansi-terminal (0.8.2-2) unstable; urgency=medium

  * Better packaging.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 10 Nov 2021 12:03:28 +0100

ocaml-ansi-terminal (0.8.2-1) unstable; urgency=medium

  * Initial release. (Closes: #998291)

 -- Julien Puydt <jpuydt@debian.org>  Tue, 02 Nov 2021 09:59:55 +0100

=== debian/control ===
Source: ocaml-ansi-terminal
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-ocaml,
               ocaml-dune,
               ocaml-nox
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ansi-terminal
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ansi-terminal.git
Homepage: https://github.com/Chris00/ANSITerminal

Package: libansi-terminal-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: colors and cursor movements for OCaml applications (runtime files)
 This package provides a library for use of colors and cursor movements
 on ANSI terminals for OCaml programs.
 .
 This package contains runtime files.

Package: libansi-terminal-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: colors and cursor movements for OCaml applications (dev files)
 This package provides a library for use of colors and cursor movements
 on ANSI terminals for OCaml programs.
 .
 This package contains development files.

## ocaml-ansi-terminal 0.8.5

=== debian/changelog ===
ocaml-ansi-terminal (0.8.5-5build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 14:55:18 +0200

ocaml-ansi-terminal (0.8.5-5build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 22:29:43 +0100

ocaml-ansi-terminal (0.8.5-5build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:36:31 +0200

ocaml-ansi-terminal (0.8.5-5build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:11:35 +0200

ocaml-ansi-terminal (0.8.5-5) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 09:43:28 +0200

ocaml-ansi-terminal (0.8.5-4) unstable; urgency=medium

  * Team upload
  * Add dependency to libfindlib-ocaml (for bytes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 07:48:37 +0200

ocaml-ansi-terminal (0.8.5-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Fri, 18 Aug 2023 06:50:41 +0200

ocaml-ansi-terminal (0.8.5-2) unstable; urgency=medium

  * Fix compilation with recent dune.
  * Bump standards-version to 4.6.2

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 11:54:13 +0200

ocaml-ansi-terminal (0.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 25 Jul 2022 11:15:36 +0200

ocaml-ansi-terminal (0.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 12 May 2022 08:42:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,24 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-ocaml,
+               dh-ocaml (>= 1.2),
                ocaml-dune,
-               ocaml-nox
+               libfindlib-ocaml,
+               ocaml
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ansi-terminal
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ansi-terminal.git
 Homepage: https://github.com/Chris00/ANSITerminal
 
 Package: libansi-terminal-ocaml
 Architecture: any
-Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
+Depends:
+ libfindlib-ocaml,
+ ${misc:Depends},
+ ${ocaml:Depends},
+ ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: colors and cursor movements for OCaml applications (runtime files)

=== debian/watch ===
version=4
https://github.com/Chris00/ANSITerminal/tags .*/v?([\d\.]+).tar.gz
